3 ms·
If you really wanted to follow UNIX philosophy, why not build atop xinetd? for example... simply accept stdin and stdout as I/O streams by default, but don't p
by jchook 8y ago
If you really wanted to follow UNIX philosophy, why not build atop xinetd?
for example... simply accept stdin and stdout as I/O streams by default, but don't provide a network mechanism.
- masklinn 8y agoYou can put websocketd behind xinetd. xinetd doesn't talk websocket, so you still need to "provide a network mechanism" to bridge the incoming connection and the client's streams.
- cogburnd02 8y ago> xinetd doesn't talk websocket Why not extend xinetd so that it can interact with websockets?
- masklinn 8y agoBecause the point of xinetd is to spawn other daemons on socket activations. xinetd handling stuff itself is the exception not the rule (5 service are internally provided, none of which you want to run: RFC 862 "echo", RFC 863 "Discard", RFC 864 "CHARGEN", RFC 867 "daytime" and RFC 868 "time").